Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.redelivery
Class MessageRedeliveredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException
                      org.mule.transport.jms.redelivery.MessageRedeliveredException

All Implemented Interfaces:
  Serializable

    public class MessageRedeliveredException

extends MessagingException

See Also:
  Serialized Form

Field Summary
`protected ImmutableEndpoint` | `endpoint`

Fields inherited from class org.mule.api.MessagingException
`event, muleMessage`

Constructor Summary
`MessageRedeliveredException(String messageId, int redeliveryCount, int maxRedelivery, ImmutableEndpoint endpoint, FlowConstruct flow, MuleMessage muleMessage)`

Method Summary
`ImmutableEndpoint` | `getEndpoint()`
`int` | `getMaxRedelivery()`
`String` | `getMessageId()`
`int` | `getRedeliveryCount()`

Methods inherited from class org.mule.api.MessagingException
`getEvent, getMuleMessage`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, getSummaryMessage, getVerboseMessage, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### endpoint

    protected final transient ImmutableEndpoint endpoint

Constructor Detail

### MessageRedeliveredException

    public MessageRedeliveredException(String messageId,
                                       int redeliveryCount,
                                       int maxRedelivery,
                                       ImmutableEndpoint endpoint,
                                       FlowConstruct flow,
                                       MuleMessage muleMessage)

Method Detail

### getMessageId

    public String getMessageId()

### getRedeliveryCount

    public int getRedeliveryCount()

### getMaxRedelivery

    public int getMaxRedelivery()

### getEndpoint

    public ImmutableEndpoint getEndpoint()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.